#! /bin/sh
# ----------------------------
# --- Modify on your shell ---
# ----------------------------

APPBIN=sol-bouncer
APPCONF=sol-bouncer.conf
APPPID=sol-bouncer.pid
APPPATH=/export/home/eur0dance/sol-bouncer

# ---------------------
# --- End of config ---
# ---------------------

cd $APPPATH
if [ -f $APPPATH/$APPPID ]; then
     pidnum=`cat $APPPATH/$APPPID`
     kill -URG $pidnum >/dev/null 2>&1
     killres=$?
     if [ $killres -eq 0 ]; then
        exit 0
     fi
     echo "\nErasing stale dupeserv PID file: $APPPID"
     rm -f $APPPATH/$APPPID
fi

echo "\nThe sol-bouncer application is not running, restarting using $APPCONF config file ...\n"

if [ -f $APPPATH/$APPBIN -a -x $APPPATH/$APPBIN ]; then
   $APPPATH/$APPBIN $APPCONF	
   exit 0
fi

echo "Error upon restarting sol-bouncer!"
